[package]
name = "reminder-rs"
version = "1.7.40"
authors = ["Jude Southworth <judesouthworth@pm.me>"]
edition = "2021"
license = "AGPL-3.0 only"
description = "Reminder Bot for Discord, now in Rust"

[dependencies]
poise = "0.6.1"
dotenv = "0.15"
tokio = { version = "1", features = ["process", "full"] }
reqwest = { version = "0.12", features = ["json"] }
regex = "1.10"
log = "0.4"
env_logger = "0.11"
chrono = "0.4"
chrono-tz = { version = "0.9", features = ["serde"] }
lazy_static = "1.4"
num-integer = "0.1"
serde = "1.0"
serde_json = "1.0"
serde_repr = "0.1"
rmp-serde = "1.1"
rand = "0.8"
levenshtein = "1.0"
sqlx = { version = "0.8", features = ["runtime-tokio-rustls", "macros", "mysql", "bigdecimal", "chrono", "migrate"] }
base64 = "0.22"
secrecy = "0.8.0"
futures = "0.3.30"
prometheus = "0.13.3"
rocket = { version = "0.5.0", features = ["tls", "secrets", "json"] }
rocket_dyn_templates = { version = "0.2.0", features = ["tera"] }
serenity = { version = "0.12", default-features = false, features = ["builder", "cache", "client", "gateway", "http", "model", "utils", "rustls_backend"] }
oauth2 = "4"
csv = "1.2"
sd-notify = "0.4.1"
cron-parser = "0.10"

[dependencies.extract_derive]
path = "extract_derive"

[dependencies.recordable_derive]
path = "recordable_derive"

[package.metadata.deb]
depends = "$auto, python3-dateparser (>= 1.0.0)"
suggests = "mysql-server-8.0, nginx"
maintainer-scripts = "debian"
assets = [
    ["target/release/reminder-rs", "usr/bin/reminder-rs", "755"],
    ["static/css/*", "lib/reminder-rs/static/css", "644"],
    ["static/favicon/*", "lib/reminder-rs/static/favicon", "644"],
    ["static/img/**/*", "lib/reminder-rs/static/img", "644"],
    ["static/js/*", "lib/reminder-rs/static/js", "644"],
    ["static/webfonts/*", "lib/reminder-rs/static/webfonts", "644"],
    ["static/site.webmanifest", "lib/reminder-rs/static/site.webmanifest", "644"],
    ["templates/**/*", "lib/reminder-rs/templates", "644"],
    ["reminder-dashboard/dist/static/assets/*", "lib/reminder-rs/static/assets", "644"],
    ["reminder-dashboard/dist/index.html", "lib/reminder-rs/static/index.html", "644"],
    ["conf/default.env", "etc/reminder-rs/config.env", "600"],
    ["conf/Rocket.toml", "etc/reminder-rs/Rocket.toml", "600"],
    ["conf/gb-ipv4.csv", "etc/reminder-rs/gb-ipv4.csv", "600"],
    # ["nginx/reminder-rs", "etc/nginx/sites-available/reminder-rs", "755"]
]
conf-files = [
    "/etc/reminder-rs/config.env",
    "/etc/reminder-rs/Rocket.toml",
]

[package.metadata.deb.systemd-units]
unit-scripts = "systemd"
start = false
